## bind9-libs 9.11.19%2Bdfsg

=== debian/changelog ===
bind9-libs (1:9.11.19+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Jorge Niedbalski to stop redundant DHCP servers
    from crashing. (Closes: #968298)

 -- Adrian Bunk <bunk@debian.org>  Sun, 25 Jul 2021 23:22:48 +0300

bind9-libs (1:9.11.19+dfsg-2) unstable; urgency=high

  * Although none of these CVEs affect the ISC DHCP, it's better to have
    them all fixed just for the same the assumption proves false in the
    future:
   + [CVE-2020-8625]: Fix off-by-one bug in ISC SPNEGO implementation.
   + [CVE-2020-8624]: "update-policy" rules of type "subdomain" were
     incorrectly treated as "zonesub" rules, which allowed keys used in
     "subdomain" rules to update names outside of the specified
     subdomains. The problem was fixed by making sure "subdomain" rules
     are again processed as described in the ARM.
   + [CVE-2020-8622]: It was possible to trigger an assertion failure
     when verifying the response to a TSIG-signed request.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Feb 2021 09:35:53 +0100

bind9-libs (1:9.11.19+dfsg-1) unstable; urgency=medium

  * New upstream version 9.11.19+dfsg

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 May 2020 22:19:50 +0200

bind9-libs (1:9.11.18+dfsg-1) unstable; urgency=medium

  * New upstream version 9.11.18+dfsg

 -- Ondřej Surý <ondrej@debian.org>  Thu, 16 Apr 2020 08:44:01 +0200

bind9-libs (1:9.11.17+dfsg-4) unstable; urgency=medium

  * Revert the SONAME back to 1110, to accomodate to the binNMUs
    that has been issued meanwhile.  I'll poke myself to be more
    careful about the ABI bumps.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Mar 2020 10:16:17 +0100

bind9-libs (1:9.11.17+dfsg-3) unstable; urgency=medium

  * Revert "Bump the SONAME of libdns to 1110"

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Mar 2020 09:44:25 +0100

bind9-libs (1:9.11.17+dfsg-2) unstable; urgency=medium

  * Upload to unstable and misc changes to d/control

 -- Ondřej Surý <ondrej@debian.org>  Sun, 22 Mar 2020 09:02:08 +0100

bind9-libs (1:9.11.17+dfsg-1) experimental; urgency=medium

  * New upstream version 9.11.17+dfsg
  * Bump the SONAME of libdns to 1110

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 Mar 2020 14:31:18 +0100
