## bind9-libs 9.11.19+dfsg

=== debian/changelog ===
bind9-libs (1:9.11.19+dfsg-2.1ubuntu3) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 10:43:16 +0100

bind9-libs (1:9.11.19+dfsg-2.1ubuntu2) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 01 Dec 2021 16:07:24 +0000

bind9-libs (1:9.11.19+dfsg-2.1ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Allow building without udeb packages. (LP: #1938456)
  * Dropped changes:
    - debian/patches/0010-fix-1872118.patch: Check if pending_send
      if set before calling dispatch_send. Fixes LP: #1872118.
    [ Incorporated by Debian.  ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 28 Jul 2021 17:46:53 -0400

bind9-libs (1:9.11.19+dfsg-2ubuntu2) hirsute; urgency=medium

  * Allow building without udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Feb 2021 12:44:13 +0100

bind9-libs (1:9.11.19+dfsg-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/0010-fix-1872118.patch: Check if pending_send
      if set before calling dispatch_send. Fixes LP: #1872118.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 19 Feb 2021 10:20:37 +0100

bind9-libs (1:9.11.19+dfsg-1ubuntu1) groovy; urgency=medium

  [ Jorge Niedbalski <jorge.niedbalski@canonical.com> ]
  * debian/patches/0010-fix-1872118.patch: Check if pending_send
    if set before calling dispatch_send. Fixes LP: #1872118.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Aug 2020 15:25:14 +0200
