=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bind9-libs
 Section: net
 Priority: optional
-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: LaMont Jones <lamont@debian.org>,
            Michael Gilbert <mgilbert@debian.org>,
            Robie Basak <robie.basak@canonical.com>,
@@ -10,14 +11,13 @@
 Build-Depends: bison,
                debhelper (>= 10),
                dh-exec,
-               dpkg-dev (>= 1.16.1~),
                libkrb5-dev,
                libssl-dev,
                libtool,
                pkg-config
-Standards-Version: 4.1.2
-Vcs-Browser: https://salsa.debian.org/dns-team/bind9
-Vcs-Git: https://salsa.debian.org/dns-team/bind9.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/dns-team/bind9-libs
+Vcs-Git: https://salsa.debian.org/dns-team/bind9-libs.git
 Homepage: https://www.isc.org/downloads/bind/
 
 Package: libbind-dev
@@ -25,7 +25,7 @@
 Architecture: any
 Replaces: bind9 (<< 1:9.10.3.dfsg.P2-4)
 Depends: libbind9-161 (= ${binary:Version}),
-         libdns1109 (= ${binary:Version}),
+         libdns1110 (= ${binary:Version}),
          libirs161 (= ${binary:Version}),
          libisc1105 (= ${binary:Version}),
          libisccc161 (= ${binary:Version}),
@@ -42,7 +42,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: libdns1109 (= ${binary:Version}),
+Depends: libdns1110 (= ${binary:Version}),
          libisc1105 (= ${binary:Version}),
          libisccfg163 (= ${binary:Version}),
          ${misc:Depends},
@@ -55,7 +55,7 @@
  This package delivers the libbind9 shared library used by BIND's daemons and
  clients.
 
-Package: libdns1109
+Package: libdns1110
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -132,7 +132,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: libdns1109 (= ${binary:Version}),
+Depends: libdns1110 (= ${binary:Version}),
          libisc1105 (= ${binary:Version}),
          libisccc161 (= ${binary:Version}),
          ${misc:Depends},
@@ -150,7 +150,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libbind-dev
-Depends: libdns-export1109 (= ${binary:Version}),
+Depends: libdns-export1110 (= ${binary:Version}),
          libirs-export161 (= ${binary:Version}),
          libisc-export1105 (= ${binary:Version}),
          libisccc-export161 (= ${binary:Version}),
@@ -163,7 +163,7 @@
  .
  This package delivers development files for the exported BIND libraries.
 
-Package: libdns-export1109
+Package: libdns-export1110
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -176,13 +176,14 @@
  .
  This package delivers the exported libdns shared library.
 
-Package: libdns-export1109-udeb
-Section: debian-installer
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Package-Type: udeb
+Package: libdns-export1110-udeb
+Section: debian-installer
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: Exported DNS library for debian-installer
 
 Package: libirs-export161
@@ -205,6 +206,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: Exported IRS library for debian-installer
 
 Package: libisc-export1105
@@ -228,6 +230,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: Exported ISC library for debian-installer
 
 Package: libisccc-export161
@@ -253,6 +256,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: Command Channel Library used by BIND
  The Berkeley Internet Name Domain (BIND) implements an Internet domain
  name server.  BIND is the most widely-used name server software on the
@@ -281,6 +285,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: Exported ISC CFG library for debian-installer
  The Berkeley Internet Name Domain (BIND) implements an Internet domain
  name server.  BIND is the most widely-used name server software on the
